OGRE: Ogre::NumericKeyFrame Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::NumericKeyFrame Class Reference

Specialised KeyFrame which stores any numeric value. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::NumericKeyFrame:

[legend]
List of all members.

## Public Member Functions

| NumericKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~NumericKeyFrame ()
virtual const AnyNumeric & | getValue (void) const
| Get the value at this keyframe.
virtual void | setValue (const AnyNumeric &val)
| Set the value at this keyframe.
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Protected Attributes

AnyNumeric | mValue
Real | mTime
const AnimationTrack * | mParentTrack

## Detailed Description

Specialised KeyFrame which stores any numeric value.

Definition at line 74 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::NumericKeyFrame::NumericKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |

| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Ogre::NumericKeyFrame::~NumericKeyFrame | ( |  | ) |

| Definition at line 79 of file OgreKeyFrame.h.

## Member Function Documentation

KeyFrame* Ogre::NumericKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const`[virtual]`

| Clone a keyframe (internal use only). Reimplemented from Ogre::KeyFrame.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const`[inherited]`

| Gets the time of this keyframe in the animation sequence. Definition at line 60 of file OgreKeyFrame.h.

virtual const AnyNumeric& Ogre::NumericKeyFrame::getValue | ( | void |  | ) | const`[virtual]`

| Get the value at this keyframe.

virtual void Ogre::NumericKeyFrame::setValue | ( | const AnyNumeric & | val | ) | `[virtual]`

Set the value at this keyframe.

Remarks:
  All keyframe values must have a consistent type.

## Member Data Documentation

const AnimationTrack* Ogre::KeyFrame::mParentTrack`[protected, inherited]`

| Definition at line 68 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime`[protected, inherited]`

| Definition at line 67 of file OgreKeyFrame.h.

AnyNumeric Ogre::NumericKeyFrame::mValue`[protected]`

| Definition at line 92 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:58 2008